<?php
  $publicKey = ''; //wstaw swój klucz publiczny captchy
  $privateKey = ''; //wstaw swój klucz prywatny captchy
  
  //dołączamy bibliotekę AdvertWay
  require_once 'advertway_content_api.php'; 
  //tworzymy nowy obiekt captchy podając swój kod publiczny oraz prywatny
  $awContent = new AdvertWayContentApi($publicKey, $privateKey, 'api.advertway.pl');
?>
<!DOCTYPE html>
<html>
  <head>
    <title>Test systemu Advertway Content</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>

    <style type="text/css">
      #content{width: 500px; margin: 100px auto; border: 1px solid #aaa;}
      h1,h2{text-align: center}
      .valid{color: green}
      .error{color: red}
      fieldset{border: none; width: 350px; margin: 0 auto}
    </style>
    
    <div id="content">
      
      <?php if($_SERVER['REQUEST_METHOD'] == 'POST'): ?>

        <?php if($awContent->validate()):?>
          <h1 class="valid">Dziękujemy <?php echo htmlspecialchars(isset($_POST['name']) ? $_POST['name'] : '') ?>. Formularz został poprawnie wysłany.</h1>
          <h2 class="valid"><a href="advertway_content_example.php">Powrót do formularza</a></h2>
        <?php else: ?>
          <h1 class="error"><?php echo $awContent->getErrorMsg() ?></h1>
          <h2 class="error">Spróbuj jeszcze raz</h2>
          
          <form action="advertway_content_example.php" method="post">
            <fieldset>
              <legend>Przykładowy formularz z systemem AdvertWay Content</legend>
              <label for="name">Podaj swoje imię:</label>
              <input type="text" id="name" name="name" value="<?php echo htmlspecialchars(isset($_POST['name']) ? $_POST['name'] : '')?>"><br><br>
              <label id="awContentLabel">Weryfikacja:</label>
              <?php $awContent->showAWContent() ?>
              <input type="submit">
            </fieldset>
          </form>
        <?php endif; ?>

      <?php else: ?>

        <form action="advertway_content_example.php" method="post">
          <fieldset>
            <legend>Przykładowy formularz z systemem AdvertWay Content</legend>
            <label for="name">Podaj swoje imię:</label>
            <input type="text" id="name" value=""><br><br>
            <label id="awContentLabel">Weryfikacja:</label>
            <?php $awContent->showAWContent() ?>
            <input type="submit">
          </fieldset>
        </form>
          
      <?php endif; //if POST?>
          
    </div>
    <script type="text/javascript">
      awContent.onNoAds(function(){
        var label = document.getElementById('awContentLabel');
        if(typeof label == 'object')
          label.style.display = 'none';
      });
    </script>
  </body>
</html>